# Class RelayXmrTxRequest

#### Hierarchy

- unknown
  - RelayXmrTxRequest

- Defined in src/protobuf/grpc_pb.d.ts:3312
- Defined in src/protobuf/grpc_pb.d.ts:3324

#####
Index

### Constructors

constructor

### Methods

getMetadata
serializeBinary
setMetadata
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new RelayXmrTxRequest(): RelayXmrTxRequest

- #### Returns RelayXmrTxRequest

  Inherited from jspb.Message.constructor

## Methods

### getMetadata

- getMetadata(): string

- #### Returns string

  - Defined in src/protobuf/grpc_pb.d.ts:3313

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/grpc_pb.d.ts:3316

### setMetadata

- setMetadata(value: string): RelayXmrTxRequest

- #### Parameters

  - ##### value: string

  #### Returns RelayXmrTxRequest

  - Defined in src/protobuf/grpc_pb.d.ts:3314

### toObject

- toObject(includeInstance?: boolean): RelayXmrTxRequest.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns RelayXmrTxRequest.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:3317

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): RelayXmrTxRequest

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns RelayXmrTxRequest

  - Defined in src/protobuf/grpc_pb.d.ts:3320

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: RelayXmrTxRequest, reader: BinaryReader): RelayXmrTxRequest

- #### Parameters

  - ##### message: RelayXmrTxRequest

  - ##### reader: BinaryReader

  #### Returns RelayXmrTxRequest

  - Defined in src/protobuf/grpc_pb.d.ts:3321

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: RelayXmrTxRequest, writer: BinaryWriter): void

- #### Parameters

  - ##### message: RelayXmrTxRequest

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/grpc_pb.d.ts:3319

### `Static` toObject

- toObject(includeInstance: boolean, msg: RelayXmrTxRequest): RelayXmrTxRequest.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: RelayXmrTxRequest

  #### Returns RelayXmrTxRequest.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:3318

Generated using TypeDoc